/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\resources\Masterpiece Resources\_RandomUncommonMResources.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server
{
	public class RandomUncommonMResources
	{
		
		public static Item Generate()
		{
			Item i=null;
			switch ( Utility.Random( 18 ))
			{                                   
				case 0: i= new CapturedDarkSoul( Utility.Random(1,5) );break;  
				case 1: i = new CapturedMageSoul( Utility.Random(1,5) );break; 
				case 2: i = new CapturedLightSoul( Utility.Random(1,5) );break; 
				case 3: i= new ConflagrantArrow( Utility.Random(1,5) );break;  
				case 4: i = new RagingThunderstorm( Utility.Random(1,5) );break; 
				case 5: i = new BlazingInferno( Utility.Random(1,5) );break; 
				case 6: i = new PiercingFrostbite( Utility.Random(1,5) );break; 
				case 7: i= new SpeedPearls( Utility.Random(1,5) ); break;    
				case 8: i = new EtherealShielding( Utility.Random(1,2) );break; 
				case 9: i = new EtherealWeaponry( Utility.Random(1,2) );break; 
				case 10: i = new ScalesOfBalance(); break;
				case 11: i = new OrbOfElements(); break;
				case 12: i= new MagesWisdom( Utility.Random(1,2) ); break;
				case 13: i= new HealthyPearls( Utility.Random(1,2) ); break;
				case 14: i= new HerbsOfStamina( Utility.Random(1,2) ); break;
				case 15: i = new PotionOfRepair( Utility.Random(1,5) ); break;
				case 16: i= new EssenceOfDispelling( Utility.Random(1,5) ); break;
				case 17: i= new ReagentPowder( Utility.Random(1,4)); break; 
			}	
				
			
			return i;
		}
	}
}ÿ